> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aventure.vc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aventure.vc/_mcp/server.

# Sitemap index manifest

GET https://api.aventure.vc/v1/sitemap/index-manifest

O(1) manifest of every dynamic sitemap family with its index path, index path mode, eligible URL count, derived page count, latest timestamp, change frequency, and priority. Front-end sitemap.xml consumer metadata; not an enrichment read or write surface.

Reference: https://docs.aventure.vc/api-reference/sitemap/index-manifest

## Authentication

- `X-Client-Secret` header (required) — Client secret for read-only service-to-service access (no writes)

## Response

### 200

OK

- `families` (list of object, required)
  - `changeFrequency` (enum, required) — sitemaps.org \<changefreq> token
    - Allowed values: `always`, `hourly`, `daily`, `weekly`, `monthly`, `yearly`, `never`
  - `eligibleUrlCount` (integer, required) — Current number of public URLs eligible for this sitemap family
  - `family` (enum, required) — Dynamic sitemap family served by the sitemap index manifest
    - Allowed values: `companyUrl`, `governmentUrl`, `nonprofitUrl`, `investorUrl`, `person`, `news`, `personImage`, `companyImage`, `blogArticle`, `blogCategory`, `blogTag`, `locationCountry`, `locationState`, `locationCity`
  - `indexPath` (string, required)
  - `indexPathMode` (enum, required) — How the sitemap index path should be expanded by the front-end sitemap builder
    - Allowed values: `pageBase`, `singleFile`
  - `pageCount` (integer, required)
  - `priority` (double, required)
  - `latestUpdatedAt` (datetime, optional, nullable)

## Examples

**Response**

```json
{
  "families": [
    {
      "changeFrequency": "always",
      "eligibleUrlCount": 1,
      "family": "companyUrl",
      "indexPath": "string",
      "indexPathMode": "pageBase",
      "pageCount": 1,
      "priority": 1.1,
      "latestUpdatedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.aventure.vc/v1/sitemap/index-manifest"

headers = {"X-Client-Secret": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.aventure.vc/v1/sitemap/index-manifest';
const options = {method: 'GET', headers: {'X-Client-Secret': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aventure.vc/v1/sitemap/index-manifest"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Client-Secret", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aventure.vc/v1/sitemap/index-manifest")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Client-Secret"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.aventure.vc/v1/sitemap/index-manifest")
  .header("X-Client-Secret", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.aventure.vc/v1/sitemap/index-manifest', [
  'headers' => [
    'X-Client-Secret' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aventure.vc/v1/sitemap/index-manifest");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Client-Secret", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Client-Secret": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aventure.vc/v1/sitemap/index-manifest")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```